Obtain consent endpoint
You can redirect a user’s browser window to the GET /oauth/auth endpoint to obtain consent. This is the first step in several authentication scenarios. It has different functions when supplied with different parameters.
When you navigate to it in a browser, you can use this endpoint to:
- Obtain individual or admin consent in any of the authentication scenarios.
- Obtain an authorization code for the Authorization Code Grant flow.
- Obtain an access token directly, using the Implicit Grant flow.
The syntax and parameters used for calling this endpoint in your browser are shown below.
The authorization request includes several parameters used in conjunction with the base URL that configure specific authentication options:
After a successful call, the Authentication Service verifies that the client application is valid and has access to the requested scope. If so, it returns the requested data to the provided redirect URI as a query parameter:
- In the Implicit Grant scenario, it returns access token and metadata.
- In the Authorization Code Grant scenario, it returns the authentication code and state, if any.
Next steps
- Learn more about obtaining and revoking consent.
- Learn more about Authentication in the Docusign platform.
- See examples of how to obtain an access token using the Auth Code, Implicit, and JWT grants, including steps for obtaining consent.